Skip site navigation (1) Skip section navigation (2)

Re: applications needed for client port?

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: Neil Dugan <postgres(at)butterflystitches(dot)com(dot)au>,pgsql-ports(at)postgresql(dot)org
Subject: Re: applications needed for client port?
Date: 2005-02-02 15:47:09
Message-ID: 28834.1107359229@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-ports
Peter Eisentraut <peter_e(at)gmx(dot)net> writes:
> Neil Dugan wrote:
>> How often does the code for libpq change, making older revision of
>> libpq not work with newer version of the database server?

> The most recent libpq that no longer works with the current server was 
> released around 1998.  I don't think you need to worry about that.  We 
> keep protocol compatibility for a long time.

However, while you might be able to sit on an old libpq for awhile,
I don't think you could get away with not updating pg_dump for every
new server release.  It would be better not to try to port pg_dump at
all than to distribute an obsolete one.  psql is better, but not all
that much better :-( as both describe.c and tab-complete.c are pretty
dependent on the server version.

			regards, tom lane

In response to

pgsql-ports by date

Next:From: Paulo Rogerio ZimoloDate: 2005-02-02 17:14:55
Subject: DATA DIRECTORY IS MISSING
Previous:From: Neil DuganDate: 2005-02-02 12:02:35
Subject: Re: applications needed for client port?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group